#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'utility.manaj_email'}
#{/set}
<ul class="breadcrumb">
	<li><a href="@{BerandaCtr.index()}">&{'utility.home'}</a></li>
	<li class="active">&{'utility.konfigurasi'}</li>
</ul>
<div class="content">
<table class="table table-sm">
    <thead>
    <tr>
        <th>&{'utility.konfigurasi_nama'}</th>
        <th>&{'utility.status'}</th>
        <th style="width:100px">&{'utility.aktifkan'}</th>
        <th style="width:100px">&{'utility.nonaktif'}</th>
    </tr>
    </thead>
    <tbody>
    <tr>
        <td>I&{'utility.integrasi_rup'}</td>
        <td class="field" style="text-align:center">#{if rup_enabled}Aktif#{/if}#{else}Non-Aktif#{/else}</td>
        #{if rup_enabled}
        <td class="field" style="text-align:center">
            <input type="radio" name="rup_enabled" value="true" onclick="javascript:setKonfigurasi('rup.enabled', 'true')" checked>
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="rup_enabled" value="false" onclick="javascript:setKonfigurasi('rup.enabled', 'false')">
        </td>
        #{/if}
        #{else}
        <td class="field" style="text-align:center">
            <input type="radio" name="rup_enabled" value="true" onclick="javascript:setKonfigurasi('rup.enabled', 'true')">
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="rup_enabled" value="false"  onclick="javascript:setKonfigurasi('rup.enabled', 'false')" checked>
        </td>
        #{/else}
    </tr>
    <tr>
        <td>&{'utility.role_ppk'}</td>
        <td class="field" style="text-align:center">#{if role_ppk}Aktif#{/if}#{else}Non-Aktif#{/else}</td>
        #{if role_ppk}
        <td class="field" style="text-align:center">
            <input type="radio" name="role_ppk" value="true" onclick="javascript:setKonfigurasi('ppk.enabled', 'true')" checked>
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="role_ppk" value="false" onclick="javascript:setKonfigurasi('ppk.enabled', 'false')">
        </td>
        #{/if}
        #{else}
        <td class="field" style="text-align:center">
            <input type="radio" name="role_ppk" value="true" onclick="javascript:setKonfigurasi('ppk.enabled', 'true')">
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="role_ppk" value="false" onclick="javascript:setKonfigurasi('ppk.enabled', 'false')" checked>
        </td>
        #{/else}
    </tr>
    <tr>
        <td>&{'utility.fitur_tender_itemeze'}</td>
        <td class="field" style="text-align:center">#{if fitur_itemize}&{'utility.akitfkan'}#{/if}#{else}&{'utility.nonaktif'}#{/else}</td>
        #{if fitur_itemize}
        <td class="field" style="text-align:center">
            <input type="radio" name="fitur_itemize" value="true" onclick="javascript:setKonfigurasi('itemize.enabled', 'true')" checked>
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="fitur_itemize" onclick="javascript:setKonfigurasi('itemize.enabled', 'false')" value="false">
        </td>
        #{/if}
        #{else}
        <td class="field" style="text-align:center">
            <input type="radio" name="fitur_itemize" value="true" onclick="javascript:setKonfigurasi('itemize.enabled', 'true')">
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="fitur_itemize" value="false" onclick="javascript:setKonfigurasi('itemize.enabled', 'false')" checked>
        </td>
        #{/else}
    </tr>
    <tr>
        <td>&{'utility.paket_lintas'}</td>
        <td class="field" style="text-align:center">#{if paket_lintas_satker}&{'utility.aktifkan'}#{/if}#{else}&{'utility.nonaktif'}#{/else}</td>
        #{if paket_lintas_satker}
        <td class="field" style="text-align:center">
            <input type="radio" name="paket_lintas_satker" value="true" onclick="javascript:setKonfigurasi('paket.lintas-satker', 'true')" checked>
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="paket_lintas_satker" onclick="javascript:setKonfigurasi('paket.lintas-satker', 'false')" value="false">
        </td>
        #{/if}
        #{else}
        <td class="field" style="text-align:center">
            <input type="radio" name="paket_lintas_satker" value="true" onclick="javascript:setKonfigurasi('paket.lintas-satker', 'true')">
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="paket_lintas_satker" value="false" onclick="javascript:setKonfigurasi('paket.lintas-satker', 'false')" checked>
        </td>
        #{/else}
    </tr>
    <tr>
        <td>&{'utility.fitur_tender_non_eProcurement'}</td>
        <td class="field" style="text-align:center">#{if non_eproc}&{'utility.aktifkan'}#{/if}#{else}&{'utility.nonaktif'}#{/else}</td>
        #{if non_eproc}
        <td class="field" style="text-align:center">
            <input type="radio" name="non_eproc" value="true" onclick="javascript:setKonfigurasi('non-eproc.enabled', 'true')" checked>
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="non_eproc" value="false" onclick="javascript:setKonfigurasi('non-eproc.enabled', 'false')">
        </td>
        #{/if}
        #{else}
        <td class="field" style="text-align:center">
            <input type="radio" name="non_eproc" value="true" onclick="javascript:setKonfigurasi('non-eproc.enabled', 'true')">
        </td>
        <td class="field" style="text-align:center">
            <input type="radio" name="non_eproc" value="false" onclick="javascript:setKonfigurasi('non-eproc.enabled', 'false')" checked>
        </td>
        #{/else}
    </tr>
    </tbody>
</table>
</div>
<script type="text/javascript">
    function setKonfigurasi(sub_category, value) {
        var action = #{jsRoute @admin.UtilityCtr.setKonfigurasi(':sub_category', ':value') /};
        location.href=action.url({sub_category: sub_category, value: value})
    }
</script>